Bug 14181 - MARC21 773 -- Display when ind1 = 0 or blank
Summary: MARC21 773 -- Display when ind1 = 0 or blank
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-11 14:29 UTC by Winona Salesky
Modified: 2016-06-21 21:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14181 : MARC21 773 -- Display when ind1 = 0 or blank (2.05 KB, patch)
2015-05-11 14:53 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 14181 : MARC21 773 -- Display when ind1 = 0 or blank (2.70 KB, patch)
2015-05-12 01:17 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 14181 : MARC21 773 -- Display when ind1 = 0 or blank (2.75 KB, patch)
2015-07-10 15:52 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Winona Salesky 2015-05-11 14:29:06 UTC
Currently 773 is set to display if ind1=0 and is suppressed if ind1 = ''. Patch will  change code to display if ind1 != 1. So it will catch both scenarios.
Comment 1 Winona Salesky 2015-05-11 14:53:21 UTC Comment hidden (obsolete)
Comment 2 Indranil Das Gupta 2015-05-11 23:53:58 UTC
(In reply to Winona Salesky from comment #0)
> Currently 773 is set to display if ind1=0 and is suppressed if ind1 = ''.
> Patch will  change code to display if ind1 != 1. So it will catch both
> scenarios.

Apologies in advance for my ignorance. but isn't the point of leaving ind1 as other than 1, is to suppress the display of the note?
Comment 3 Indranil Das Gupta 2015-05-12 01:17:35 UTC Comment hidden (obsolete)
Comment 4 Winona Salesky 2015-05-12 01:23:09 UTC
I believe that coding ind1=0 is to suppress the display, 1 to display, and blank is just a default value. According to my understanding of the LOC rules indicate the element should be displayed as the default, or unless expressly  coded as 0.

Any other catalogers want to chime in? 
Thanks!
-Winona


(In reply to Indranil Das Gupta from comment #2)
> (In reply to Winona Salesky from comment #0)
> > Currently 773 is set to display if ind1=0 and is suppressed if ind1 = ''.
> > Patch will  change code to display if ind1 != 1. So it will catch both
> > scenarios.
> 
> Apologies in advance for my ignorance. but isn't the point of leaving ind1
> as other than 1, is to suppress the display of the note?
Comment 5 Indranil Das Gupta 2015-05-12 07:52:56 UTC
(In reply to Winona Salesky from comment #4)
> I believe that coding ind1=0 is to suppress the display, 1 to display, and
> blank is just a default value. According to my understanding of the LOC
> rules indicate the element should be displayed as the default, or unless
> expressly  coded as 0.

I discussed this with Galen Charlton, after I asked the question here. He agrees with the idea of you patch and said that should be default behavior if not set to 0.
Comment 6 Winona Salesky 2015-05-12 13:31:44 UTC
Great! Thanks,
-Winona

(In reply to Indranil Das Gupta from comment #5)
> (In reply to Winona Salesky from comment #4)
> > I believe that coding ind1=0 is to suppress the display, 1 to display, and
> > blank is just a default value. According to my understanding of the LOC
> > rules indicate the element should be displayed as the default, or unless
> > expressly  coded as 0.
> 
> I discussed this with Galen Charlton, after I asked the question here. He
> agrees with the idea of you patch and said that should be default behavior
> if not set to 0.
Comment 7 Kyle M Hall 2015-07-10 15:52:27 UTC
Created attachment 40937 [details] [review]
[PASSED QA] Bug 14181 : MARC21 773 -- Display when ind1 = 0 or blank

Display 773 in opac and staff details when ind1 !=1

Test plan
=========

1/ Add a new record which uses the 773 field to an instance running
   master code. (the selected MARC framework should have the 773's
   relevant sub-fields enabled and visible on staff client, opac and
   the editor).
2/ Set ind1 as '0' (zero). The note should be displayed both on OPAC
   as well as the staff client.
3/ Reset ind1 with a non-zero value or leave it blank. The display
   note should no longer be visible from either client or opac.
4/ Apply the patch.
5/ Repeat step #1 and #2. The note is displayed on staff and opac.
6/ Repeat step #3. The display note should be visible on both staff
   and opac.
7/ run koha-qa.pl -c 1 -v 2

Note : For #1 above, the following LoC record was used:
       http://www.loc.gov/marc/bibliographic/examples.html#monographic

       The patch applied cleanly and performed as expected.

       The koha-qa.pl gave OK as results.

Signed-off-by: Indranil Das Gupta  <indradg@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-08-20 16:50:31 UTC
Patch pushed to master.

Thanks Winona!
Comment 9 Winona Salesky 2015-08-21 02:25:14 UTC
Great! Thanks. 
-Winona

(In reply to Tomás Cohen Arazi from comment #8)
> Patch pushed to master.
> 
> Thanks Winona!